package com.xydl.cac.repository;

import com.xydl.cac.entity.NiecSensor;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;


@Repository
public interface NiecSensorRepository extends JpaRepository<NiecSensor, Integer>, JpaSpecificationExecutor<NiecSensor> {

    Page<NiecSensor> findByPhase(String keyword, Pageable pageable);
}