package com.xydl.cac.service;

import com.xydl.cac.entity.NiecSensor;
import com.xydl.cac.model.ConditionModel;
import com.xydl.cac.model.SensorDetail;
import org.springframework.data.domain.Page;

import java.util.List;
import java.util.Map;

public interface NiecSensorService {
    List<NiecSensor> listAll();

    Page<NiecSensor> list(int pageNum, int pageSize);

    List<NiecSensor> getTree();

    SensorDetail<Map<String, Object>> getDetail(ConditionModel model) throws Exception;
}
