package com.xydl.cac.repository;

import com.xydl.cac.entity.IcdFileConfigInst;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface IcdFileConfigInstRepository extends JpaRepository<IcdFileConfigInst, Integer>, JpaSpecificationExecutor<IcdFileConfigInst> {

    List<IcdFileConfigInst> findByConfigId(Integer configId);

    void deleteByConfigId(Integer configId);

}